%define svn r81625
%define rel 4
%if %svn
%define release %mkrel -c %svn %rel
%else
%define release %mkrel %rel
%endif

Summary: A web browser based on the EFL and EWebKit
Name: eve
Version: 0.3.0
Release: %release
License: LGPLv3+
Group: Graphical desktop/Enlightenment
URL: http://trac.enlightenment.org/e/wiki/Eve
%if %svn
Source: %name-%svn.tar.xz
%else
Source: http://download.enlightenment.org/snapshots/LATEST/%{name}-%{version}.tar.bz2
%endif
Patch0: eve-fix-ewk.patch
Patch1: eve-add-lib-eet.patch
Patch2: eve-add-lib-ecore.patch
Patch3: eve-add-lib-eina.patch
Patch4: eve-add-lib-ecore-evas.patch
Patch5: eve-add-lib-edje.patch
Patch6: eve-add-lib-x11.patch
Patch7: eve-0010-fix-ewk_settings_icon_database_icon_object_add.patch
Patch8: eve-0001-fix-configure-ac.patch
BuildRoot: %{_tmppath}/%{name}-%{version}-%{release}-buildroot
BuildRequires: webkit-efl-devel
BuildRequires: libx11-devel
BuildRequires: ecore-devel
BuildRequires: evas-devel
BuildRequires: eet-devel
BuildRequires: eina-devel
BuildRequires: edje
BuildRequires: edje-devel
BuildRequires: embryo
BuildRequires: e_dbus-devel
BuildRequires: elementary-devel
BuildRequires: cairo-devel
BuildRequires: gettext-devel
BuildRequires: elementary
BuildRequires: eweather eweather-devel
BuildRequires: edbus-devel
Provides: webclient

%description
Eve is a web browser based on the EFL and EWebKit, aimed primarily to be
used on mobile devices with touch screens -- but it works like a charm
on the desktop, too.

Although still in its infancy, the browser is quite featureful to the
point of being actually usable. Some highlights:
  * Multiple pages can be opened simultaneously
  * Bookmarks
  * History (no search yet -- but it possible to filter it)
  * Privacy mode
  * Comprehensive settings dialog

There are, of course, more things hidden behind the curtains.

%prep
%if %svn
%setup -qn %name
%else
%setup -q -n %name-%version
%endif
#patch0 -p1
%patch1 -p1
%patch2 -p1
%patch3 -p1
%patch4 -p1
%patch5 -p1
%patch6 -p1
#patch7 -p1
%patch8 -p1

%build
%if %svn
LC_ALL=C NOCONFIGURE=1 ./autogen.sh
%endif
%configure2_5x --disable-static
%make

%install
rm -rf $RPM_BUILD_ROOT
%makeinstall_std

find %buildroot -name *.la | xargs rm

%files
%{_bindir}/*
%{_libdir}/*.so
%{_datadir}/%{name}
%{_datadir}/pixmaps/*.png
%{_datadir}/applications/*.desktop



%changelog

* Tue May 07 2013 trem <trem> 0.3.0-0.r81625.4.mga3
+ Revision: 412579
- increase release to rebuild

* Fri Jan 11 2013 umeabot <umeabot> 0.3.0-0.r81625.3.mga3
+ Revision: 349786
- Mass Rebuild - https://wiki.mageia.org/en/Feature:Mageia3MassRebuild

* Sun Jan 06 2013 trem <trem> 0.3.0-0.r81625.2.mga3
+ Revision: 340096
- add patch eve-0001-fix-configure-ac.patch

* Sat Dec 22 2012 trem <trem> 0.3.0-0.r81625.1.mga3
+ Revision: 334035
- update to release 81625

* Sat Dec 15 2012 trem <trem> 0.3.0-0.r80969.1.mga3
+ Revision: 331126
- update to release 80969

* Sat Dec 08 2012 trem <trem> 0.3.0-0.r80477.1.mga3
+ Revision: 328267
- update to release 80477

* Sat Nov 24 2012 trem <trem> 0.3.0-0.r79568.1.mga3
+ Revision: 321602
- add edbus-devel as buildrequires
- update to release 79568

* Sat Sep 22 2012 trem <trem> 0.3.0-0.r76819.1.mga3
+ Revision: 296653
- update to release 76819

* Sun Sep 16 2012 trem <trem> 0.3.0-0.r76435.1.mga3
+ Revision: 294525
- add buildrequire eweather
- update to release 76435
- update to release 75400

* Sun Aug 19 2012 trem <trem> 0.3.0-0.r75426.1.mga3
+ Revision: 282224
- update to r75426

* Sun Mar 11 2012 trem <trem> 0.3.0-0.r69188.1.mga2
+ Revision: 222710
- update to release 69188

* Sat Mar 10 2012 trem <trem> 0.3.0-0.r69165.1.mga2
+ Revision: 222446
- update to release 69165

* Sun Mar 04 2012 trem <trem> 0.3.0-0.r68658.1.mga2
+ Revision: 218022
- update to release 68658

* Sat Mar 03 2012 trem <trem> 0.3.0-0.r68649.1.mga2
+ Revision: 217573
- update to release 68649

* Sun Feb 26 2012 trem <trem> 0.3.0-0.r68450.1.mga2
+ Revision: 215240
- update to release 68450

* Sat Feb 25 2012 trem <trem> 0.3.0-0.r68434.1.mga2
+ Revision: 214451
- update to release 68434

* Fri Feb 24 2012 trem <trem> 0.3.0-0.r68363.1.mga2
+ Revision: 214000
- update to release 68363

* Wed Feb 22 2012 trem <trem> 0.3.0-0.r68228.1.mga2
+ Revision: 212103
- update to release 68228

* Sun Feb 19 2012 trem <trem> 0.3.0-0.r68120.1.mga2
+ Revision: 210819
- update to release 68120

* Sat Feb 18 2012 trem <trem> 0.3.0-0.r68102.1.mga2
+ Revision: 210267
- update to release 68102

* Sat Feb 11 2012 trem <trem> 0.3.0-0.r67851.1.mga2
+ Revision: 207570
- update to release 67851

* Sat Feb 11 2012 trem <trem> 0.3.0-0.r67846.1.mga2
+ Revision: 207283
- update to release 67846

* Fri Feb 10 2012 trem <trem> 0.3.0-0.r67830.1.mga2
+ Revision: 206992
- update to release 67830

* Tue Feb 07 2012 trem <trem> 0.3.0-0.r67715.1.mga2
+ Revision: 206024
- update to release 67715
- update to release 67703
- update to release 67702
- update to release 67698
- update to release 67688
- update to release 67680

* Sun Dec 04 2011 trem <trem> 0.3.0-0.r65867.1.mga2
+ Revision: 176124
- update to release 65867
- update to release 65688
- update to release 65613

* Sun Nov 20 2011 trem <trem> 0.3.0-0.r65428.1.mga2
+ Revision: 169770
- update to release 65428

* Fri Nov 18 2011 trem <trem> 0.3.0-0.r65369.1.mga2
+ Revision: 168772
- update to release 65369
- update to release 65341

* Wed Nov 16 2011 trem <trem> 0.3.0-0.r65269.1.mga2
+ Revision: 168224
- update to release 65269

* Sun Nov 13 2011 trem <trem> 0.3.0-0.r65129.1.mga2
+ Revision: 167186
- update to release 65129

* Fri Nov 11 2011 trem <trem> 0.3.0-0.r65056.1.mga2
+ Revision: 166616
- update to release 65056

* Sat Nov 05 2011 trem <trem> 0.3.0-0.r64753.1.mga2
+ Revision: 163504
- add elementary as BuildRequires
- add gettext-devel as BuildRequires
- update to release r64753
- imported package eve

